# Method: customers.userListQueries.startTransient

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/startTransient#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/startTransient#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/startTransient#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/startTransient#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/startTransient#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/startTransient#body.aspect)

> [!WARNING]
> StartTransientUserListQuery is deprecated, use StartUserListQuery instead.

Starts execution on a transient user list query. The results uploaded to the specified Google Ads user list. The returned operation name can be used to poll for query completion status.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{parent=customers/*}/userListQueries:startTransient`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Full resource name of the customer executing the query, e.g. 'customers/123'. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "query": { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries#UserListQuery`) }, "spec": { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/QueryExecutionSpec`) }, "userListId": string } ``` |

| Fields ||
|---|---|
| `query` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries#UserListQuery`)`` The query to execute. |
| `spec` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/QueryExecutionSpec`)`` Defines the query execution parameters. |
| `userListId` | `string (https://developers.google.com/discovery/v1/type-format format)` Google Ads user list ID. Note that the user list must be managed by the Ads Data Hub customer executing the query. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`